<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* user-form-membership.twig */
class __TwigTemplate_2f7b035ad38892b7100b3ee42a06a9b9a636827c47170ca80a44e698e1905ec2 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 10
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 8
        $context["randomId"] = twig_random($this->env);
        // line 11
        $context["forms"] = $this->loadTemplate("forms.twig", "user-form-membership.twig", 11)->unwrap();
        // line 10
        $this->parent = $this->loadTemplate("form-base.twig", "user-form-membership.twig", 10);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 13
    public function block_formTitle($context, array $blocks = [])
    {
        // line 14
        echo "    ";
        echo __("Manage Membership");
    }

    // line 17
    public function block_formButtons($context, array $blocks = [])
    {
        // line 18
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["help"] ?? null), "permissions", []), "html", null, true);
        echo "\")
    ";
        // line 19
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 20
        echo __("Save");
        echo ", membersFormSubmit(\"";
        echo twig_escape_filter($this->env, ($context["randomId"] ?? null), "html", null, true);
        echo "\")
";
    }

    // line 23
    public function block_callBack($context, array $blocks = [])
    {
        echo "membersFormOpen";
    }

    // line 25
    public function block_formHtml($context, array $blocks = [])
    {
        // line 26
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <div id=\"";
        // line 28
        echo twig_escape_filter($this->env, ($context["randomId"] ?? null), "html", null, true);
        echo "\" class=\"div-horizontal\"
                     data-param=\"userGroupId\"
                     data-param-unassign=\"unassignUserGroupId\"
                     data-url=\"";
        // line 31
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.assign.userGroup", ["id" => $this->getAttribute(($context["user"] ?? null), "userId", [])]), "html", null, true);
        echo "\"
                    >
                ";
        // line 33
        ob_start(function () { return ''; });
        echo __("Check or un-check the options against each user to control whether they are a member or not.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 34
        echo "                ";
        echo $context["forms"]->getmessage(($context["helpText"] ?? null));
        echo "
                <table class=\"table table-bordered membersTable\">
                    <tr>
                        <th>";
        // line 37
        echo twig_escape_filter($this->env, $this->getAttribute(($context["user"] ?? null), "user", []), "html", null, true);
        echo "</th>
                        <th>";
        // line 38
        echo __("Member");
        echo "</th>
                    </tr>
                    ";
        // line 40
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["checkboxes"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["item"]) {
            // line 41
            echo "                        <tr>
                            <td>";
            // line 42
            echo twig_escape_filter($this->env, $this->getAttribute($context["item"], "name", []), "html", null, true);
            echo "</td>
                            <td><input type=\"checkbox\" data-member-id=\"";
            // line 43
            echo twig_escape_filter($this->env, $this->getAttribute($context["item"], "id", []), "html", null, true);
            echo "\" ";
            echo twig_escape_filter($this->env, $this->getAttribute($context["item"], "value_checked", []), "html", null, true);
            echo "></td>
                        </tr>
                    ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['item'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 46
        echo "                </table>
            </div>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "user-form-membership.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  143 => 46,  132 => 43,  128 => 42,  125 => 41,  121 => 40,  116 => 38,  112 => 37,  105 => 34,  101 => 33,  96 => 31,  90 => 28,  86 => 26,  83 => 25,  77 => 23,  69 => 20,  65 => 19,  58 => 18,  55 => 17,  50 => 14,  47 => 13,  42 => 10,  40 => 11,  38 => 8,  32 => 10,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "user-form-membership.twig", "/home/mgatv524/public_html/edurocha/views/user-form-membership.twig");
    }
}
